> For the complete documentation index, see [llms.txt](https://docs.nexos.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexos.ai/gateway-api/assistant-management.md).

# Assistant Management

Manage assistants.

## List assistants for a specific user. Deprecated, use /v1/agents instead.

> Deprecated: Use /v1/agents instead. Retrieve list of assistants for a specific user.

```json
{"openapi":"3.0.0","info":{"title":"Nexos AI Public API Production","version":"1.0.0"},"tags":[{"name":"Assistant Management","description":"Manage assistants."}],"servers":[{"url":"https://api.nexos.ai"}],"security":[{"bearerAuth":[]},{"apiKeyHeader":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"},"apiKeyHeader":{"type":"apiKey","in":"header","name":"X-Api-Key","description":"Authenticate by sending your nexos API key in the `X-Api-Key` header (e.g. `X-Api-Key: nexos-...` for a user key or `X-Api-Key: nexos-team-...` for a team key). This is an alternative to the `Authorization: Bearer` scheme. If both `X-Nexos-Key` and `X-Api-Key` are sent, `X-Nexos-Key` takes precedence."}},"schemas":{"SortByField":{"type":"string","enum":["name","created_at"]},"SortOrder":{"type":"string","enum":["asc","desc"],"description":"Sort order, must be used together with sort_by.field."},"Assistant":{"description":"Represents an AI assistant.","type":"object","properties":{"id":{"type":"string","description":"Unique identifier."},"name":{"type":"string","description":"Assistant name."},"description":{"type":"string","description":"Assistant description.","nullable":true},"instructions":{"type":"string","description":"Assistant instructions."},"model":{"type":"string","description":"Model name."},"created_at":{"type":"string","format":"date-time","description":"The time the assistant was created."}},"required":["id","created_at","name","model"]}},"responses":{"AssistantListResponse":{"description":"A list of assistants.","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Assistant"}},"total":{"type":"integer","format":"int64"}}}}}}}},"paths":{"/v1/assistants":{"get":{"operationId":"get-assistants-v1","deprecated":true,"summary":"List assistants for a specific user. Deprecated, use /v1/agents instead.","tags":["Assistant Management"],"description":"Deprecated: Use /v1/agents instead. Retrieve list of assistants for a specific user.","parameters":[{"name":"limit","in":"query","required":false,"description":"The number of items to return.","schema":{"type":"integer","format":"int64","default":100,"minimum":1,"maximum":200}},{"name":"offset","in":"query","required":false,"description":"The number of items to skip.","schema":{"type":"integer","format":"int64"}},{"name":"sort_by.field","in":"query","schema":{"$ref":"#/components/schemas/SortByField"},"description":"Field to sort by, must be used together with sort_by.order."},{"name":"sort_by.order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/SortOrder"},"description":"Sort order, must be used together with sort_by.field."},{"name":"include_shared","in":"query","required":false,"description":"Whether to include assistants shared with the user.","schema":{"type":"boolean","default":false}}],"responses":{"200":{"$ref":"#/components/responses/AssistantListResponse"},"404":{"description":"Assistant not found."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexos.ai/gateway-api/assistant-management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
